//
// nono
// Copyright (C) 2020 nono project
// Licensed under nono-license.txt
//

#pragma once

#include "header.h"
#include "object.h"
#include "wxheader.h"

// 独自のイベントタイプ
wxDECLARE_EVENT(WXW_EVT_HALT_NOTIFY, wxCommandEvent);

// フォント種別というかフォントサイズ。
// 配列のインデックスとして使うので有効な値を 0 から列挙する。
enum FontId {
	None = -1,
	_6x12 = 0,
	_8x16,
	Max,
};
#define FONT_6x12	wxSize(6, 12)
#define FONT_8x16	wxSize(8, 16)

class WXMainFrame;
class WXMainView;
class WXTextScreen;
